> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{id}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{id}:
    get:
      tags:
        - Businesses
      operationId: GetBusinessByIdAsync
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessSBBusinessResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessSBBusinessResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessSBBusinessResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessSBBusinessResponse'
components:
  schemas:
    BusinessSBBusinessResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        currency:
          type: string
          nullable: true
        slug:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        logo:
          type: string
          nullable: true
        locale:
          type: string
          nullable: true
        brand:
          $ref: '#/components/schemas/BusinessSBBusinessBrandResponse'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        billingCheckoutUrl:
          type: string
          nullable: true
      additionalProperties: false
    DTOAddress:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        location:
          $ref: '#/components/schemas/AddressesCoordinates'
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
      additionalProperties: false
    BusinessSBBusinessBrandResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        logo:
          type: string
          nullable: true
        icon:
          type: string
          nullable: true
        coverImage:
          type: string
          nullable: true
        primaryColor:
          type: string
          nullable: true
        secondaryColor:
          type: string
          nullable: true
        facebook:
          type: string
          nullable: true
        instagram:
          type: string
          nullable: true
        linkedIn:
          type: string
          nullable: true
        twitter:
          type: string
          nullable: true
        youTube:
          type: string
          nullable: true
        tikTok:
          type: string
          nullable: true
        googleAnalyticsId:
          type: string
          nullable: true
        gtmId:
          type: string
          nullable: true
      additionalProperties: false
    AddressesCoordinates:
      type: object
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      additionalProperties: false

````